unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, NxInspectorNode6, NxControls6, NxInspector6, NxInspectorNodeClasses6,
  Vcl.StdCtrls, NxEdit6;

type
  TForm1 = class(TForm)
    NextInspector61: TNextInspector6;
    ListBox1: TListBox;
    NxInspectorNode61: TNxInspectorNode6;
    NxSpinInspectorNode61: TNxSpinInspectorNode6;
    NxCheckBoxInspectorNode61: TNxCheckBoxInspectorNode6;
    NxTrackBarInspectorNode61: TNxTrackBarInspectorNode6;
    Button1: TButton;
    NxColorPaletteInspectorNode61: TNxColorPaletteInspectorNode6;
    NxToolbarInspectorNode61: TNxToolbarInspectorNode6;
    procedure Button1Click(Sender: TObject);
    procedure NextInspector61EditEnter(Sender: TObject; Node: TNxInspectorNode6; InplaceEdit: INxInplaceEdit);
    procedure NextInspector61EditAssign(Sender: TObject; Node: TNxInspectorNode6; var Text: WideString;
      var CanAssign: Boolean);
    procedure NxSpinInspectorNode61ValueChanged(Sender: TNxInspectorNode6);
    procedure NxSpinInspectorNode61DetailsClick(Sender: TNxInspectorNode6);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  NextInspector61.SetAllSaved;
  ListBox1.Items.Clear;
end;

procedure TForm1.NextInspector61EditAssign(Sender: TObject; Node: TNxInspectorNode6; var Text: WideString;
  var CanAssign: Boolean);
begin
  ListBox1.Items.Add('TNextInspector6.OnEditAssign | Text: ' + Text);
end;

procedure TForm1.NextInspector61EditEnter(Sender: TObject; Node: TNxInspectorNode6; InplaceEdit: INxInplaceEdit);
begin
  ListBox1.Items.Add('TNextInspector6.OnEditEnter');
end;

procedure TForm1.NxSpinInspectorNode61DetailsClick(Sender: TNxInspectorNode6);
begin
  ListBox1.Items.Add('TNxInspectorNode6.OnDetailsClick');
end;

procedure TForm1.NxSpinInspectorNode61ValueChanged(Sender: TNxInspectorNode6);
begin
  ListBox1.Items.Add('TNxInspectorNode6.OnValueChanged');
end;

end.
